# $Revision: 1.27 $, $Date: 2004/04/05 21:59:52 $
Summary:	Project Revision Control System
Summary(pl):	System kontroli wersji dla projektw
Name:		prcs
Version:	1.3.2
Release:	3
License:	GPL
Group:		Development/Version Control
Source0:	http://dl.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
# Source0-md5:	e18a0566d512ea4ef7018a9b4158ff8f
Patch0:		%{name}-man.patch
Patch1:		%{name}-perl.patch
Patch2:		%{name}-gcc3.patch
URL:		http://prcs.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libstdc++-devel
BuildRequires:	xemacs-ediff-pkg
BuildRequires:	xemacs-emerge-pkg
BuildRequires:	xemacs-vc-pkg
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PRCS is a simplified directory tree project oriented revision control
system.

%description -l pl
PRCS to uproszczony, zorientowany na drzewo katalogowe system kontroli
wersji.

%package -n xemacs-prcs-pkg
Summary:	PRCS mode for EMACS
Summary(pl):	Tryb PRCS dla EMACS-a
Group:		Development/Version Control
Requires:	%{name} = %{version}-%{release}
Requires:	xemacs
Obsoletes:	prcs-el

%description -n xemacs-prcs-pkg
PRCS mode for EMACS.

%description -n xemacs-prcs-pkg -l pl
Tryb PRCS dla EMACS-a.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

rm -f emacs/*.elc

%build
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
CXXFLAGS="%{rpmcflags} -fno-rtti -fno-exceptions"
%configure \
	SYS_RCS_COMMAND_PATH="/usr/bin/rcs" \
	SYS_CI_COMMAND_PATH="/usr/bin/ci" \
	SYS_CO_COMMAND_PATH="/usr/bin/co" \
	SYS_RLOG_COMMAND_PATH="/usr/bin/rlog"

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	lispdir=%{_datadir}/xemacs/site-lisp

install man/* $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README README.BE FAQ ChangeLog
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*
%{_infodir}/*info*

%files -n xemacs-prcs-pkg
%defattr(644,root,root,755)
%{_datadir}/xemacs/site-lisp/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: prcs.spec,v $
Revision 1.27  2004/04/05 21:59:52  qboosh
- added gcc3 patch, more xemacs BRs, release 3 for Ac

Revision 1.26  2003/05/28 13:01:22  malekith
- massive attack: source-md5

Revision 1.25  2003/05/25 06:25:47  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.24  2003/04/08 13:28:38  qboosh
- use http for sources from sourceforge

Revision 1.23  2002/10/09 13:14:45  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.22  2002/08/06 13:02:25  marcus
- typo

Revision 1.21  2002/08/06 12:17:21  marcus
- fixed perl paths
- rel.2.

Revision 1.20  2002/08/05 09:36:36  marcus
- fixed Source0: url

Revision 1.19  2002/08/04 23:47:01  marcus
- fixed %%doc

Revision 1.18  2002/08/04 23:34:18  marcus
- removed old,commented patches

Revision 1.17  2002/08/04 23:33:03  marcus
- updated to 1.3.2

Revision 1.16  2002/08/04 13:27:08  mmazur
- updated to 1.3.0; rel1; STBR
- use new %doc

Revision 1.15  2002/05/21 23:14:33  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.14  2002/03/24 23:28:23  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.13  2002/02/22 23:29:37  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.12  2002/02/12 16:42:20  kloczek
- change subpackage name from prcs-em to xemacs-prcs-pkg,
- fix install in proper place xemacs macros,
- run autoheader in %build.

Revision 1.11  2002/02/12 13:35:28  blues
- added call for aclocal

Revision 1.10  2002/02/12 03:00:45  kloczek
- adapterized.

Revision 1.9  2002/01/18 02:14:41  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.8  2001/11/20 11:23:52  kloczek
- release 2.

Revision 1.7  2001/10/10 12:34:22  qboosh
- pl translations, BuildRequires: autoconf,automake

Revision 1.6  2001/07/26 05:42:23  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.4  2001/05/02 21:51:28  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.3  2000/11/12 20:11:55  kloczek
- modyfications for using neew rpm automation.

Revision 1.2  2000/07/21 15:11:35  kloczek
- some cosmetics,
- build against xemacs (added xemacs to BuildRequires),
- added BuildRequires rules.

Revision 1.1  2000/07/18 13:29:04  baggins
- initial revision
